Subject: Re: [Zope] Not grocking RESQUEST.set syntax
From: Daniel Rusch <[email-masked]>
To: Noah <[email-masked]>
Date: Wed, 25 Oct 2000 15:32:47 -0500

Try:
<dtml-in MyFavoiteZSQLMethod>
<dtml-call "REQUEST.set('filename', filename)"> 
<dtml-call some_other_thing_that_uses_filename>
</dtml-in>

This assumes that MyFavoiteZSQLMethod returns the variable filename

Dan

Noah wrote:
> 
> I'm still not grocking the syntax for setting REQUEST fields.
> I want to set a REQUEST field "filename" to be the value returned
> by a ZSQL call. I want something like this (pseudo-code of what I want):
> 
> <dtml-let FOO=MyFavoiteZSQLMethod>
> <dtml-call "REQUEST.set('filename', FOO)">
> <dtml-call some_other_thing_that_uses_filename>
> </dtml-let>
> 
> That does not work because FOO gets set to something like:
> <Shared.DC.ZRDB.Results.Results instance at 7760b0>
> I tried sticking this inside <dtml-in><dtml-in> to get
> at the sequence-item, but I just ended up getting confused.
> 
> Yours,
> Noah
> 
> _______________________________________________
> Zope maillist  -  [email-masked]
> http://lists.zope.org/mailman/listinfo/zope
> **   No cross posts or HTML encoding!  **
> (Related lists -
>  http://lists.zope.org/mailman/listinfo/zope-announce
>  http://lists.zope.org/mailman/listinfo/zope-dev )